<?

class validator_not_empty extends Validator {



    function isValid() {
        $fl = !empty($_REQUEST[$this->name]);
        if (isset($this->select_bad_value)) {
            $fl = $fl && !($_REQUEST[$this->name] == $this->select_bad_value);
        }

        return $fl;
    }


    function getTemplate() {
        return("validators/not_empty.tpl");
    }

}